Taiga
API ReferencePre EncounterEligibility ChecksV1

Insurance Discovery

Sends an insurance discovery check to find potential coverage matches for a patient through Stedi. Given patient demographics, this endpoint discovers what insurance coverages exist for the patient.

POST
/eligibility-checks/v1/insurance-discovery

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

An object representing the data for an insurance discovery request.

Response Body

application/json

curl -X POST "https://example.com/eligibility-checks/v1/insurance-discovery" \  -H "Content-Type: application/json" \  -d '{    "provider": {      "npi": "string"    },    "subscriber": {      "first_name": "string",      "last_name": "string"    }  }'
{  "discovery_id": "string",  "status": "PENDING",  "items": [    null  ],  "coverages_found": 0,  "errors": [    {      "field?": "string",      "description?": "string",      "location?": "string",      "possibleResolutions?": "string",      "code?": "string",      "followupAction?": "string"    }  ]}